PaginationActions (Deprecated)
PaginationActions (Deprecated)
|
|
Headless v1 has been deprecated. We recommend using the latest version of the Coveo Headless library. |
The pagination action creators.
See Dispatch Actions.
Loader Function
loadPaginationActions
Loads the pagination reducer and returns possible action creators.
Parameters
-
engine:
CoreEngineThe headless engine.
Returns PaginationActionCreators: The pagination action creators.
PaginationActionCreators
nextPage
Updates the page to the next page.
Returns PayloadAction: A dispatchable action.
previousPage
Updates the page to the previous page.
Returns PayloadAction: A dispatchable action.
registerNumberOfResults
Initializes the numberOfResults query parameter. For more information, refer to the documentation on query parameters.
Parameters
-
numberOfResults:
numberThe initial number of results.
Returns PayloadAction<number>: A dispatchable action.
registerPage
Sets the initial page by initializing the firstResult query parameter. For more information, refer to the documentation on query parameters.
Parameters
-
page:
numberThe initial page number.
Returns PayloadAction<number>: A dispatchable action.
updateNumberOfResults
Updates the numberOfResults query parameter. For more information, refer to the documentation on query parameters.
Parameters
-
numberOfResults:
numberThe new number of results.
Returns PayloadAction<number>: A dispatchable action.
updatePage
Updates the page by updating the firstResult query parameter. For more information, refer to the documentation on query parameters.
Parameters
-
page:
numberThe new page number.
Returns PayloadAction<number>: A dispatchable action.